// ==UserScript==
// @name         四川省教育考试院自动登录
// @namespace    https://zk.sceea.cn/
// @version      1.0
// @description  在指定域名上禁用alert弹窗并添加自动登录按钮
// @author       YHL
// @match        https://zk.sceea.cn/
// @grant        none
// ==/UserScript==

(function() {
    'use strict';

    // 禁用 alert 窗口
    window.alert = function() {
        console.log("禁用Alert窗口弹出");
    };

    // 创建开始按钮
    var startButton = document.createElement("button");
    startButton.innerHTML = "开始登录";
    startButton.style.marginRight = "10px";

    // 创建停止按钮
    var stopButton = document.createElement("button");
    stopButton.innerHTML = "停止登录";

    // 创建按钮容器
    var buttonContainer = document.createElement("div");
    buttonContainer.style.marginTop = "20px";
    buttonContainer.appendChild(startButton);
    buttonContainer.appendChild(stopButton);

    // 将按钮容器添加到页面
    document.body.appendChild(buttonContainer);

    var isAutoClicking = false;
    var intervalId = null;

    // 点击开始按钮时启动自动点击
    startButton.addEventListener("click", function() {
        if (!isAutoClicking) {
            isAutoClicking = true;
            intervalId = setInterval(simulateButtonClick, 100);
            console.log("自动点击已启动");
        }
    });

    // 点击停止按钮时停止自动点击
    stopButton.addEventListener("click", function() {
        if (isAutoClicking) {
            isAutoClicking = false;
            clearInterval(intervalId);
            console.log("自动点击已停止");
        }
    });

    // 模拟按钮点击事件
    function simulateButtonClick() {
        var btn = document.getElementById("btn_login");
        if (btn) {
            var clickEvent = new MouseEvent("click", {
                bubbles: true,
                cancelable: true,
                view: window
            });
            btn.dispatchEvent(clickEvent);
        }
    }
})();
